package es.ua.jtech.jhd.sesion08.ejercicios.logging;

import java.io.*;
import org.apache.log4j.*;

public class PruebaFichero
{
	static Logger logger = Logger.getLogger(PruebaFichero.class);	
	
	public static void main(String[] args)
	{
		//BasicConfigurator.configure();
		PropertyConfigurator.configure("logging.conf");

		String fichero = "fich_prueba.txt";
		
		try
		{
			// Mensaje: tomando fichero de entrada
			logger.debug("Tomando fichero de entrada");
			LeeFichero lf = new LeeFichero(fichero);
			
			// Mensaje: leyendo fichero
			logger.debug("Leyendo fichero");
			String texto = lf.lee();
			
			// Mensaje: finalizado
			logger.debug("Finalizado");
			
		} catch (FileNotFoundException e1) {
	
			logger.error("Fichero '" + fichero + "' no encontrado");
			
		} catch (IOException e2) {
			
			logger.error("Error leyendo fichero '" + fichero + "'");
		}
	}
}